CropSense

Search documentation

Search for a command to run...

API Reference

Market Prices

Latest crop market price data, globally or by country.

get/market-prices/{crop_id}/latest

Get latest market price by crop id

Requires an Authorization: Bearer header.

Parameters

crop_idstringpathrequired

Response 200

price_idstringrequired
crop_idstringrequired
market_idstringoptional
countrystringrequired
regionstringoptional
iso3_codestringoptional
price_datestring<date-time>required
unit_price_per_kgnumberrequired
price_trendenum<string>required
price_sourceenum<string>required
currencystringoptional
unit_price_per_kg_usdnumberoptional
exchange_ratenumberoptional
commoditystringoptional
price_typestringoptional
data_providerstringoptional
is_activebooleanrequired
created_atstring<date-time>required
updated_atstring<date-time>required
GET /market-prices/{crop_id}/latest
curl -X GET "https://api.cropsense.africa/market-prices/cassava-01/latest" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Example response · 200
{
  "price_id": "price_id",
  "crop_id": "cassava-01",
  "market_id": "market_id",
  "country": "Kenya",
  "region": "region",
  "iso3_code": "KEN",
  "price_date": "2026-06-15T09:30:00Z",
  "unit_price_per_kg": 1.5,
  "price_trend": "increasing",
  "price_source": "local_market",
  "currency": "USD",
  "unit_price_per_kg_usd": 1.5,
  "exchange_rate": 1.5,
  "commodity": "commodity",
  "price_type": "price_type",
  "data_provider": "data_provider",
  "is_active": true,
  "created_at": "2026-06-15T09:30:00Z",
  "updated_at": "2026-06-15T09:30:00Z"
}
get/market-prices/{crop_id}/{iso3_code}/latest

Get latest market price by crop id and country

Requires an Authorization: Bearer header.

Parameters

crop_idstringpathrequired
iso3_codestringpathrequired

Response 200

price_idstringrequired
crop_idstringrequired
market_idstringoptional
countrystringrequired
regionstringoptional
iso3_codestringoptional
price_datestring<date-time>required
unit_price_per_kgnumberrequired
price_trendenum<string>required
price_sourceenum<string>required
currencystringoptional
unit_price_per_kg_usdnumberoptional
exchange_ratenumberoptional
commoditystringoptional
price_typestringoptional
data_providerstringoptional
is_activebooleanrequired
created_atstring<date-time>required
updated_atstring<date-time>required
GET /market-prices/{crop_id}/{iso3_code}/latest
curl -X GET "https://api.cropsense.africa/market-prices/cassava-01/KEN/latest" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Example response · 200
{
  "price_id": "price_id",
  "crop_id": "cassava-01",
  "market_id": "market_id",
  "country": "Kenya",
  "region": "region",
  "iso3_code": "KEN",
  "price_date": "2026-06-15T09:30:00Z",
  "unit_price_per_kg": 1.5,
  "price_trend": "increasing",
  "price_source": "local_market",
  "currency": "USD",
  "unit_price_per_kg_usd": 1.5,
  "exchange_rate": 1.5,
  "commodity": "commodity",
  "price_type": "price_type",
  "data_provider": "data_provider",
  "is_active": true,
  "created_at": "2026-06-15T09:30:00Z",
  "updated_at": "2026-06-15T09:30:00Z"
}